<?
$temp_id_pola = explode("ico_",$_GET['gdzie']);
if($_GET['co']=="wysz"){
	if($_GET['msg']==0){
		$update = mysql_query("UPDATE ".$db_pref."tresc SET wysz = 1 WHERE id='".$temp_id_pola[1]."';");
	   die($_GET['gdzie']."|<a href=\"javascript:sndReq('1','".$_GET['gdzie']."','".$_GET['co']."');\">".ikonka("w1")."</a>");
	}
	if($_GET['msg']==1){
		$update = mysql_query("UPDATE ".$db_pref."tresc SET wysz = 0 WHERE id='".$temp_id_pola[1]."';");
	   die($_GET['gdzie']."|<a href=\"javascript:sndReq('0','".$_GET['gdzie']."','".$_GET['co']."');\">".ikonka("w0")."</a>");
	}	
}
if($_GET['co']=="kopi"){
	if($_GET['msg']==0){
		$update = mysql_query("UPDATE ".$db_pref."tresc SET kopiuj = 1 WHERE id='".$temp_id_pola[1]."';");
	   die($_GET['gdzie']."|<a href=\"javascript:sndReq('1','".$_GET['gdzie']."','".$_GET['co']."');\">".ikonka("k1")."</a>");
	}
	if($_GET['msg']==1){
		$update = mysql_query("UPDATE ".$db_pref."tresc SET kopiuj = 0 WHERE id='".$temp_id_pola[1]."';");
	   die($_GET['gdzie']."|<a href=\"javascript:sndReq('0','".$_GET['gdzie']."','".$_GET['co']."');\">".ikonka("k0")."</a>");
	}	
}
if ($_GET['co'] == 'order')
{
$coo=explode('_',$_GET['msg']);

	if (($coo[0] == '') || ($coo[1] == ''))
	{
		
	} else {
		$pozycja = mysql_result(mysql_query("SELECT pozycja FROM ".$db_pref."produkt WHERE id = {$coo[0]}"), 0);

		if ((($pozycja == '1') && ($coo[1] == '-1')) || (($pozycja == mysql_result(mysql_query("SELECT max(pozycja) FROM ".$db_pref."produkt WHERE wyroznienie=".$coo[2]." "), 0)) && ($coo[1] == '1')))
		{
	  
		}
		else
		{
			$query = "UPDATE ".$db_pref."produkt SET pozycja = pozycja - ".$coo[1]." WHERE pozycja = {$pozycja} + ".$coo[1]." and wyroznienie='".$coo[2]."' ";
			$result = mysql_query($query) OR die("Błąd mysql_query: UPDATE 1!");

			$query = "UPDATE ".$db_pref."produkt SET pozycja = pozycja + ".$coo[1]." WHERE id = ".$coo[0]." and wyroznienie='".$coo[2]."'  ";
			$result = mysql_query($query) OR die("Błąd mysql_query: UPDATE 2!");
			
	 
		}
	} 
}
?>
